Page MenuHomePhabricator

A Newsletter publisher can announce a new issue without providing a title for it
Closed, ResolvedPublic

Description

Currently a publisher can announce a new issue without providing a title for it, only the page name. Is this a bug or a feature?

In T174927 @Elitre says:


So I think I got two notifications about the same newsletter? (One is read and is at bottom of screenshot.)

Looking at https://test.wikipedia.org/wiki/Newsletter:Testing_McTestFace what happened was that the publisher announed two issues one after the other, without specifying any title for each issue.

Event Timeline

Qgil created this task.Sep 5 2017, 8:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2017, 8:20 PM

I think it wasnt submission without a title, but submission without a summary - as - it throws up an errror whenever the title box is not set. Its a question if we want to make the Summary optional or mandatory.

SimmeD added a subscriber: SimmeD.Nov 5 2017, 3:23 PM

I don't think it should be mandatory. There can be times where no summary is not needed.

A newsletter announcement consists of two fields only: a URL and a summary. I don't think it is too much to ask both?

Also, we need to think about the users. Posting a link (that won't be visible in the notification) without a summary means that users are forced to click without knowing whether the link will be interesting or not.

Alright. Lets make it required then. Makes sense to me.

Change 471481 had a related patch set uploaded (by Mogmog123; owner: Mogmog123):
[mediawiki/extensions/Newsletter@master] Making 'summary' input required during announcing a new issue.

https://gerrit.wikimedia.org/r/471481

01tonythomas closed this task as Resolved.Nov 3 2018, 1:27 PM
01tonythomas assigned this task to Immogmog123.

Thank you!

Elitre removed a subscriber: Elitre.Nov 8 2018, 4:54 PM

Change 471481 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@master] Making 'summary' input required during announcing a new issue.

https://gerrit.wikimedia.org/r/471481